@import url("https://fonts.googleapis.com/css2?family=Asap&family=Patrick+Hand+SC&display=swap");
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
*::before,
*::after {
    box-sizing: border-box;
}
html,
body {
    overscroll-behavior-x: none;
    overscroll-behavior-y: none;
    scroll-behavior: smooth;
}
body {
    font-family: "Asap", sans-serif;
    position: relative;
    width: 100%;
    min-height: 100vh;
    text-align: center;
    overflow-x: hidden;
    color: white;

    display: grid;
    place-items: center;
    transform: translateZ(0);
}
body::before {
    content: "";
    position: absolute; /* or fixed */
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%; /* or 100vh */
    min-height: 100vh;
    background-color: rgba(255, 255, 255, 0.5);
    background-image: url("https://img.freepik.com/foto-gratis/interior-sala-grunge-3d_1048-7935.jpg");
    background-size: cover;
    background-position: center;
    background-blend-mode: screen;
    transform: translateZ(0);
}
main {
    width: 100%;
    max-width: 100vw;
    overflow-x: hidden;
    display: grid;
    place-items: center;
}
footer {
    position: relative;
    font-family: "Asap", sans-serif;
    margin: 1rem 0;
    color: #555;
}
a {
    color: currentColor;
    font-weight: bold;
}
#gallery {
    --size: 200px;
    --gap: 10px;
    --space: 5px;
    --angle: 0deg;

    position: relative;
    width: min(100%, 1000px);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--size), 1fr));
    gap: var(--gap);
    padding: var(--gap);
    overflow: hidden;
    filter: drop-shadow(0.3rem 0.3rem 0.3rem rgba(0, 0, 0, 0.5));
    transform: translateZ(0);
}
@media (max-width: 700px) {
    #gallery {
        --size: 170px;
    }
}
.card {
    --img: url();
    --pin-x: 50%;
    --pin-y: 0.5rem;
    --pin-angle: 10deg;
    --pin-color: crimson;

    position: relative;
    width: 100%;
    aspect-ratio: 1/1.25;
    padding: 0.75rem;

    display: grid;
    place-items: center;

    background-color: papayawhip;
    background-image: var(--img);
    background-position: center;
    background-size: cover;
    filter: url(#filter_tornpaper);

    transform-origin: var(--pin-x) var(--pin-y);
    transform: translateZ(0) rotate3d(0, 0, 1, var(--pin-angle));
    isolation: isolate;
}
.card:after {
    position: absolute;
    top: var(--pin-y);
    left: var(--pin-x);
    width: 0.7rem;
    height: 0.7rem;
    content: "";
    background: var(--pin-color);
    border-radius: 50%;
    box-shadow: -0.1rem -0.1rem 0.3rem 0.02rem rgba(0, 0, 0, 0.5) inset;
    filter: drop-shadow(0.3rem 0.15rem 0.2rem rgba(0, 0, 0, 0.5));
    transform: translateZ(0);
}
article:nth-child(7n of .card) {
    --pin-color: orangered;
    --pin-angle: 5deg;
}
article:nth-child(7n + 1 of .card) {
    --pin-color: gold;
    --pin-angle: -2deg;
}
article:nth-child(7n + 2 of .card) {
    --pin-color: crimson;
    --pin-angle: 3deg;
}
article:nth-child(7n + 3 of .card) {
    --pin-color: skyblue;
    --pin-angle: -3deg;
}
article:nth-child(7n + 4 of .card) {
    --pin-color: deeppink;
    --pin-angle: -5deg;
}
article:nth-child(7n + 5 of .card) {
    --pin-color: orchid;
    --pin-angle: 2deg;
}
article:nth-child(7n + 6 of .card) {
    --pin-color: springgreen;
    --pin-angle: 5deg;
}

.card h2 {
    position: absolute;
    bottom: 1rem;
    left: 0;
    right: 0;
    margin: 0 0.5rem;
    font-size: 1.2rem;
    text-transform: capitalize;
    z-index: 2;
}

.card h1 {
   font-size: 3rem;
    z-index: 2;
}


.card * {
    overflow-wrap: anywhere;
  
}
.card.no_bg > div {
    margin: 2rem 0;
    font-family: "Patrick Hand SC", sans-serif;
    font-size: 1.7rem;
}
.card.no_bg * {
    color: rgb(0, 0, 0);
    mix-blend-mode: inherit;
    line-height: 0.8;
}



.card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Ajusta el último valor para cambiar la opacidad */
  z-index: 1; /* Asegúrate de que el rectángulo esté en capa superior */
}